> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Platform Authorization

> Exchange an OAuth code only from the authenticated initiating console.



## OpenAPI

````yaml post /opportunity/platform/{platform_slug}/complete
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/platform/{platform_slug}/complete:
    post:
      tags:
        - Marketing Platforms
      summary: Complete Platform Authorization
      description: Exchange an OAuth code only from the authenticated initiating console.
      operationId: >-
        complete_platform_authorization_opportunity_platform__platform_slug__complete_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: platform_slug
          in: path
          required: true
          schema:
            type: string
            title: Platform Slug
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformAuthorizationComplete'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Complete Platform Authorization Opportunity Platform 
                  Platform Slug  Complete Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PlatformAuthorizationComplete:
      properties:
        code:
          type: string
          title: Code
        state:
          type: string
          title: State
        nonce:
          type: string
          title: Nonce
      type: object
      required:
        - code
        - state
        - nonce
      title: PlatformAuthorizationComplete
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````